Subject: bug#18511: closed (Re: bug#18511: parted-3.2 fails to build with gold linker)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Sep 2014 17:06:03 +0000

Your bug report

#18511: parted-3.2 fails to build with gold linker

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18511: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18511
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18511: parted-3.2 fails to build with gold linker
From: Jim Meyering <[email-masked]>
To: Heiko Becker <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Sep 2014 10:04:58 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Sep 19, 2014 at 8:41 AM, Heiko Becker <[email-masked]> wrote:
> if I try to build parted-3.2 with the gold linker I get the following
> error. The attached patch fixes that for me.

Thank you. I've pushed that.

Subject: parted-3.2 fails to build with gold linker
From: Heiko Becker <[email-masked]>
To: [email-masked]
Date: Fri, 19 Sep 2014 17:41:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

if I try to build parted-3.2 with the gold linker I get the following
error. The attached patch fixes that for me.

libs/libparted.so
libtool: link: x86_64-pc-linux-gnu-gcc -std=gnu99 -march=native -pipe
-O2 -floop-block -floop-
interchange -floop-strip-mine -Wl,-O1 -rdynamic -o .libs/dup-clobber
dup-clobber.o  ../libpart
ed/.libs/libparted.so
libtool: link: x86_64-pc-linux-gnu-gcc -std=gnu99 -march=native -pipe
-O2 -floop-block -floop-
interchange -floop-strip-mine -Wl,-O1 -rdynamic -o .libs/fs-resize
fs-resize.o  ../libparted/f
s/.libs/libparted-fs-resize.so ../libparted/.libs/libparted.so
../libparted/fs/.libs/libparted-fs-resize.so: error: undefined reference
to 'uuid_generate'
collect2: error: ld returned 1 exit status
Makefile:1491: recipe for target 'fs-resize' failed
make[4]: *** [fs-resize] Error 1
make[4]: *** Waiting for unfinished jobs....
make[4]: Leaving directory
'/var/tmp/paludis/build/sys-fs-parted-3.2/work/parted-3.2/tests'
Makefile:1783: recipe for target 'check-am' failed
make[3]: *** [check-am] Error 2
make[3]: Leaving directory
'/var/tmp/paludis/build/sys-fs-parted-3.2/work/parted-3.2/tests'
Makefile:1265: recipe for target 'check-recursive' failed
make[2]: *** [check-recursive] Error 1
make[2]: Leaving directory
'/var/tmp/paludis/build/sys-fs-parted-3.2/work/parted-3.2'
Makefile:1738: recipe for target 'ss-1024' failed
make[1]: Leaving directory
'/var/tmp/paludis/build/sys-fs-parted-3.2/work/parted-3.2'
make[1]: *** [ss-1024] Error 2
Makefile:1744: recipe for target 'check-other-sector_sizes' failed
make: *** [check-other-sector_sizes] Error 2

-- 
Best Regards,
Heiko Becker
>From 1f8d32e79f6356ccde7da898a21ba1674478f7a4 Mon Sep 17 00:00:00 2001
From: Heiko Becker <[email-masked]>
Date: Fri, 19 Sep 2014 16:51:34 +0200
Subject: [PATCH] libparted: also link to UUID_LIBS

This fixes building parted with the gold linker.
---
 libparted/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libparted/Makefile.am b/libparted/Makefile.am
index edc5f2e..cb58648 100644
--- a/libparted/Makefile.am
+++ b/libparted/Makefile.am
@@ -58,6 +58,7 @@ libparted_la_LIBADD =	\
   $(DM_LIBS)		\
   $(SELINUX_LIBS)	\
   $(LIB_BLKID)		\
+  $(UUID_LIBS)		\
   $(INTLLIBS)
 
 EXTRA_DIST	      = mbr.s
-- 
2.1.0